<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/header_bar_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/statusbar_view_height"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <EditText
            android:id="@+id/et_search"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="5dp"
            android:background="@drawable/bg_search_gray_5dp_shape"
            android:hint="搜索"
            android:lines="1"
            android:paddingStart="@dimen/dp_40"
            android:text=""
            android:textColor="@color/black_333"
            android:textSize="@dimen/dp_14"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_action"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view" />


        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:padding="@dimen/dp_7"
            android:src="@drawable/ic_green_search"
            app:layout_constraintBottom_toBottomOf="@+id/et_search"
            app:layout_constraintStart_toStartOf="@+id/et_search"
            app:layout_constraintTop_toTopOf="@+id/et_search" />


        <TextView
            android:id="@+id/tv_action"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_40"
            android:layout_marginBottom="5dp"
            android:gravity="center"
            android:paddingStart="@dimen/dp_15"
            android:paddingEnd="@dimen/dp_15"
            android:text="取消"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/dp_16"
            app:layout_constraintBottom_toBottomOf="@id/et_search"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/et_search" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:overScrollMode="never"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/header_bar_view" />

    <TextView
        android:id="@+id/tv_empty_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_45"
        android:ellipsize="middle"
        android:singleLine="true"
        android:textColor="@color/color_999999"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/header_bar_view" />

</androidx.constraintlayout.widget.ConstraintLayout>